%define	name	libmpfr
%define	version	2.2.1
%define	release	%mkrel 3

%define realname mpfr

%define major 1
%define libname %mklibname %{realname} %major
%define libnamedev %mklibname %{realname} %major -d


Summary: C library for multiple-precision floating-point computations
Name: %{name}
Version: %{version}
Release: %{release}
License: BSD
Group: System/Libraries
URL: http://www.mpfr.org/
Source: http://www.mpfr.org/mpfr-current/%{realname}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: gmp-devel

%description
The MPFR library is a C library for multiple-precision floating-point 
computations with exact rounding (also called correct rounding). It 
is based on the GMP multiple-precision library.

The main goal of MPFR is to provide a library for multiple-precision 
floating-point computation which is both efficient and has a 
well-defined semantics. It copies the good ideas from the ANSI/IEEE-754 
standard for double-precision floating-point arithmetic (53-bit mantissa).

%package -n %{libname}
Summary: C library for multiple-precision floating-point computations
Group: Development/Other
Provides: lib%{name} = %{version}

%description -n %{libname}
The MPFR library is a C library for multiple-precision floating-point
computations with exact rounding (also called correct rounding). It
is based on the GMP multiple-precision library.

The main goal of MPFR is to provide a library for multiple-precision
floating-point computation which is both efficient and has a
well-defined semantics. It copies the good ideas from the ANSI/IEEE-754
standard for double-precision floating-point arithmetic (53-bit mantissa).

%package -n %{libnamedev}
Summary: Limpfr library headers and development libraries
Group: Development/Other
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}
Provides: libmpfr-devel

%description -n %{libnamedev}
libmpfr devel files


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{realname}-%{version}

%build
  
%configure --enable-shared

%make

%install

%makeinstall

%find_lang %name

%post -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel
%_install_info %{name}.info

%postun -n %{libname} -p /sbin/ldconfig

%preun -n %{libname}-devel
%_remove_install_info %{name}.info

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname} -f %name.lang
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libnamedev}
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.*a
%{_includedir}/*
%{_infodir}/*.info*


%changelog
* Tue Jan 09 2007 Lenny Cartier <lenny@mandriva.com> 2.2.1-3mdv2007.0
+ Revision: 106440
- Buildrequires
- Buildrequires libgmp3-devel
- Import libmpfr

